# [<img src="http://i.imgur.com/ihzCgEr.png">](http://concisecss.com/)

[![Bower version](https://badge.fury.io/bo/concise.svg)](http://badge.fury.io/bo/concise) [![npm version](https://badge.fury.io/js/concise.css.svg)](https://badge.fury.io/js/concise.css)

Concise is a lightweight, front-end framework that provides a number of great features without the bloat. Concise is built based on Object-Oriented CSS principles and keeps semantics in mind to provide a small learning curve, and a high level of customization.

## Quickstart

It's easy to get started with Concise:

- [Download the latest release (SASS Included)](https://github.com/ConciseCSS/concise.css/releases/download/v3.1.1/concise-v3.1.1-source.zip)
- Clone the repo: `git clone https://github.com/ConciseCSS/concise.css.git`
- Install with [Bower](http://bower.io/): `bower install concise`
- Install with [NPM](https://www.npmjs.com/): `npm install concise.css`

**Note:** If you just want the CSS files, please refer to the downloads section for each release: [https://github.com/ConciseCSS/concise.css/releases](https://github.com/ConciseCSS/concise.css/releases)

After you download or install the package, [check out our documentation](http://concisecss.com/documentation) to get up and running.

### Building the project

Please refer to our [Contributing](https://github.com/ConciseCSS/concise.css/blob/master/CONTRIBUTING.md#building-the-project) page for instructions on compiling the SASS in the project.

### Changelog

You can keep up-to-date with the changes that we have made via our [releases page](https://github.com/ConciseCSS/concise.css/releases).

### Specific Questions

** *Thanks to [thoughtbot](http://robots.thoughtbot.com/moving-open-source-project-mailing-lists-to-stack-overflow) for this great way to handling questions for an open source project.*

In lieu of a mailing list, we are going to manage all specific questions through [Stack Overflow](http://stackoverflow.com/).

Members of the Concise team are subscribed to specific tags via [Stack Exchange Filters](http://stackexchange.com/filters), so that if a question is properly tagged, we can respond in a timely manner and help.

**Which tags?**

Ideally, we would like to keep it to just one tag for Concise questions, but we are subscribed to multiple variants to make sure nothing passes by us. However, for everybody asking a question, please use:

- [Concise](http://stackoverflow.com/questions/tagged/concise)

**Where do I post this?**

There are lots of different things that people will want to post regarding the Concise framework. Here is a rough outline of where you should post any given issue, question or contribution:

- Use [Stack Overflow](http://stackoverflow.com) if you **need help**
- Use [GitHub Issues](http://github.com/ConciseCSS/concise.css/issues) if you **found a bug**
- Use [GitHub Issues](http://github.com/ConciseCSS/concise.css/issues) if you **have an idea**
- Use [GitHub Issues](http://github.com/ConciseCSS/concise.css/issues) if you want to **ask a question**
- Submit a [pull request](https://help.github.com/articles/creating-a-pull-request) if you **want to contribute**

## Contributing

If you wish to contribute to the Concise project, please read through our [contributing guidelines](https://github.com/ConciseCSS/concise.css/blob/master/CONTRIBUTING.md) first and then help however you'd like!

## Versioning

Concise is currently maintained under the [Semantic Versioning guidelines](http://semver.org/).

## Elsewhere

[![Like Concise on Facebook](http://i.imgur.com/4dy5UUK.png)](https://facebook.com/ConciseCSS)
[![Follow Concise on Twitter](http://i.imgur.com/4AkKsMx.png)](https://twitter.com/ConciseCSS)

## License

Code released under the [MIT license](https://github.com/ConciseCSS/concise.css/blob/master/LICENSE). Documentation released under [Creative Commons](http://creativecommons.org/licenses/by-sa/4.0/).
